Loading...
Searching...
No Matches
pdftron::PDF::GeometryCollection Class Reference

`#include <GeometryCollection.h>`

## Public Types
enum | SnappingMode { eDefaultSnapMode = 14 , ePointOnLine = 1 , eLineMidpoint = 2 , eLineIntersection = 4 , ePathEndpoint = 8 }

## Public Member Functions
| GeometryCollection ()
| GeometryCollection (const GeometryCollection &other)
| GeometryCollection (TRN_GeometryCollection impl)
GeometryCollection & | operator= (const GeometryCollection &other)
| ~GeometryCollection ()
void | Destroy ()
Point | SnapToNearest (double x, double y, UInt32 mode) const
Point | SnapToNearestPixel (double x, double y, double dpi, UInt32 mode) const
ptrdiff_t | GetHandleInternal ()

## Static Public Member Functions
static GeometryCollection * | CreateInternal (ptrdiff_t impl)

## Public Attributes
TRN_GeometryCollection | m_impl

## Detailed Description

The class GeometryCollection. A Preprocessed PDF geometry collection

Definition at line 24 of file GeometryCollection.h.

## Member Enumeration Documentation

## ◆ SnappingMode

enum pdftron::PDF::GeometryCollection::SnappingMode

Enumerator
eDefaultSnapMode |
ePointOnLine |
eLineMidpoint |
eLineIntersection |
ePathEndpoint |

Definition at line 28 of file GeometryCollection.h.

## Constructor & Destructor Documentation

## ◆ GeometryCollection() [1/3]

pdftron::PDF::GeometryCollection::GeometryCollection | ( |  | ) |

## ◆ GeometryCollection() [2/3]

pdftron::PDF::GeometryCollection::GeometryCollection | ( | const GeometryCollection & | other | ) |

## ◆ GeometryCollection() [3/3]

pdftron::PDF::GeometryCollection::GeometryCollection | ( | TRN_GeometryCollection | impl | ) |

## ◆ ~GeometryCollection()

pdftron::PDF::GeometryCollection::~GeometryCollection | ( |  | ) |

## Member Function Documentation

## ◆ CreateInternal()

GeometryCollection * pdftron::PDF::GeometryCollection::CreateInternal | ( | ptrdiff_t | impl | ) |
| static

## ◆ Destroy()

void pdftron::PDF::GeometryCollection::Destroy | ( |  | ) |

## ◆ GetHandleInternal()

ptrdiff_t pdftron::PDF::GeometryCollection::GetHandleInternal | ( |  | ) |

## ◆ operator=()

GeometryCollection & pdftron::PDF::GeometryCollection::operator= | ( | const GeometryCollection & | other | ) |

## ◆ SnapToNearest()

Point pdftron::PDF::GeometryCollection::SnapToNearest | ( | double | x,
|  | double | y,
|  | UInt32 | mode ) const

return the point within the collection which is closest to the queried point. All values are in the page coordinate space.

Parameters

  x | – the x coordinate to snap, in page coordinates.
  y | – the y coordinate to snap, in page coordinates.
  mode | – a combination of flags from the SnappingMode enumeration.

Returns
  a point within the collection, closest to the queried point. If the collection is empty, the queried point will be returned unchanged.

## ◆ SnapToNearestPixel()

Point pdftron::PDF::GeometryCollection::SnapToNearestPixel | ( | double | x,
|  | double | y,
|  | double | dpi,
|  | UInt32 | mode ) const

return the point within the collection which is closest to the queried point. All values are in the page coordinate space.

Parameters

  x | – the x coordinate to snap.
  y | – the y coordinate to snap.
  dpi | – the resolution of the rendered page, in pixels per inch.
  mode | – a combination of flags from the SnappingMode enumeration.

Returns
  a point within the collection, closest to the queried point. If the collection is empty, the queried point will be returned unchanged.

## Member Data Documentation

## ◆ m_impl

TRN_GeometryCollection pdftron::PDF::GeometryCollection::m_impl

Definition at line 72 of file GeometryCollection.h.

The documentation for this class was generated from the following file:

- PDF/GeometryCollection.h